Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Class XMLStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.xml.stream.XMLStreamException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Direct Known Subclasses:
  SecurityProcessingException

Deprecated. please use java standard StAX api

    public class XMLStreamException

extends IOException
implements weblogic.utils.NestedThrowable

The base exception for unexpected input during XML handling

Since:
  Weblogic XML Input Stream 1.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary
`protected Throwable` | `th` Deprecated.

Constructor Summary
`XMLStreamException()` Deprecated.
`XMLStreamException(String msg)` Deprecated.
`XMLStreamException(String msg, Throwable th)` Deprecated.
`XMLStreamException(Throwable th)` Deprecated.

Method Summary
`String` | `getMessage()` Deprecated.
`Throwable` | `getNested()` Deprecated. Gets the nested Throwable.
`Throwable` | `getNestedException()` Deprecated. Gets the nested exception.
`void` | `printStackTrace()` Deprecated. Prints the stack trace associated with this exception and its nested exception to System.err.
`void` | `printStackTrace(PrintStream s)` Deprecated. Prints the stack trace associated with this exception and its nested exception.
`void` | `printStackTrace(PrintWriter w)` Deprecated. Prints the stack trace associated with this exception and its nested exception.
`void` | `superPrintStackTrace(PrintStream ps)` Deprecated.
`void` | `superPrintStackTrace(PrintWriter pw)` Deprecated.
`String` | `superToString()` Deprecated.
`String` | `toString()` Deprecated. Prints the exception message and its nested exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### th

    protected Throwable th

  Deprecated.

Constructor Detail

### XMLStreamException

    public XMLStreamException()

  Deprecated.

### XMLStreamException

    public XMLStreamException(String msg)

  Deprecated.

### XMLStreamException

    public XMLStreamException(Throwable th)

  Deprecated.

### XMLStreamException

    public XMLStreamException(String msg,
                              Throwable th)

  Deprecated.

Method Detail

### getNestedException

    public Throwable getNestedException()

  Deprecated.
  Gets the nested exception.

  Returns:
    Nested exception

### getMessage

    public String getMessage()

  Deprecated.
  Overrides:
    `getMessage` in class `Throwable`

### getNested

    public Throwable getNested()

  Deprecated.
  Gets the nested Throwable.

  Specified by:
    `getNested` in interface `weblogic.utils.NestedThrowable`
  Returns:
    Nested exception

### superToString

    public String superToString()

  Deprecated.
  Specified by:
    `superToString` in interface `weblogic.utils.NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(PrintStream ps)

  Deprecated.
  Specified by:
    `superPrintStackTrace` in interface `weblogic.utils.NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(PrintWriter pw)

  Deprecated.
  Specified by:
    `superPrintStackTrace` in interface `weblogic.utils.NestedThrowable`

### toString

    public String toString()

  Deprecated.
  Prints the exception message and its nested exception message.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    String representation of the exception

### printStackTrace

    public void printStackTrace(PrintStream s)

  Deprecated.
  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream

### printStackTrace

    public void printStackTrace(PrintWriter w)

  Deprecated.
  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream

### printStackTrace

    public void printStackTrace()

  Deprecated.
  Prints the stack trace associated with this exception and its nested exception to System.err.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD